org.red5.server.net.rtmp.codec

## Class RTMPMinaProtocolDecoder

- java.lang.Object
- - org.apache.mina.filter.codec.ProtocolDecoderAdapter
  - - org.red5.server.net.rtmp.codec.RTMPMinaProtocolDecoder

All Implemented Interfaces:
  ProtocolDecoder

    public class RTMPMinaProtocolDecoder
    extends ProtocolDecoderAdapter

RTMP protocol decoder.

### Field Summary

Fields
`protected static org.slf4j.Logger` `log`

### Constructor Summary

Constructors
Constructor and Description
`RTMPMinaProtocolDecoder()`

### Method Summary

Methods
`void` `decode(IoSession session, IoBuffer in, ProtocolDecoderOutput out)`
`RTMPProtocolDecoder` `getDecoder()` Returns an RTMP decoder
`void` `setDecoder(RTMPProtocolDecoder decoder)` Sets the RTMP protocol decoder.
`void` `setDeserializer(Deserializer deserializer)` Setter for deserializer.

### Methods inherited from class org.apache.mina.filter.codec.ProtocolDecoderAdapter

`dispose, finishDecode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### log

    protected static org.slf4j.Logger log

### Constructor Detail

#### RTMPMinaProtocolDecoder

    public RTMPMinaProtocolDecoder()

### Method Detail

#### decode

    public void decode(IoSession session,
              IoBuffer in,
              ProtocolDecoderOutput out)
                throws ProtocolCodecException

Throws:
  `ProtocolCodecException`

#### setDecoder

    public void setDecoder(RTMPProtocolDecoder decoder)

Sets the RTMP protocol decoder.

Parameters:
  `decoder` -

#### getDecoder

    public RTMPProtocolDecoder getDecoder()

Returns an RTMP decoder

Returns:
  RTMP decoder

#### setDeserializer

    public void setDeserializer(Deserializer deserializer)

Setter for deserializer.

Parameters:
  `deserializer` - Deserializer